

package gov.va.med.cds.exception;


/**
 * 
 * Used to represent the CDS service initialization problems.
 * 
 */
public class InitializationException
    extends
        SystemException
{
    private static final long serialVersionUID = -1452036925104256325L;


    public InitializationException( ErrorCodeEnum errorCodeName, String... customMsg )
    {
        super( errorCodeName, customMsg );
    }


    public InitializationException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    public InitializationException( ErrorCodeEnum errorCode, Throwable cause, String... customMsg )
    {
        super( errorCode, cause, customMsg );
    }


    public InitializationException( ErrorCodeEnum errorCodeName )
    {
        super( errorCodeName );
    }     
}
